/* pour éviter que le précompilateur inclue plusieurs fois le fichier .h */
#ifndef QUEUE_PTR_INT_H  
#define QUEUE_PTR_INT_H
#include <stdbool.h>

/* Utilité du typedef : Element a; <=> struct Element a; */
typedef struct _element {
   int data;
   struct _element* next;
} element;

typedef struct _queue {
   element* tete;
   element* debut;
} queue;

//Créer d'une nouvelle queue vide
queue queue_creer();
//Désallouer complètement la queue
void queue_detruire(queue* fa);
//Insérer un élement en début de queue
void queue_inserer(queue* fa,int val);
//Extraire un élément de la queue
int queue_extraire(queue* fa);
//Consulter l'élément en tête de queue
int queue_tete(queue fa);
//Consulter l'élément en début de queue
int queue_debut(queue fa);
//Tester si la queue est vide
bool queue_est_vide(queue fa);
//Compter le nombre d'éléments de la queue:
int queue_count(queue fa);
#endif




